#version 400

uniform mat4 modelViewProjMatrix;
uniform mat4 normalMatrix;

layout(location = 0) in vec3 position;
layout(location = 1) in vec3 normal;

smooth out vec3 VS_Normal;


void main()
{
	VS_Normal = (normalMatrix * vec4(normal, 1.0)).xyz;

	gl_Position = modelViewProjMatrix * vec4(position, 1.0);
}